---
title: PaymentRequest.shippingType
slug: Web/API/PaymentRequest/shippingType
tags:
  - API
  - Experimental
  - Payment Request
  - Payment Request API
  - PaymentRequest
  - Reference
  - Secure context
  - shippingType
---
<p>{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>shippingType</code></strong> read-only property of the {{domxref("PaymentRequest")}} interface returns one of <code>"shipping"</code>, <code>"delivery"</code>, <code>"pickup"</code>, or <code>null</code> if one was not provided by the constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>shippingType</em> = <em>paymentRequest</em>.shippingType</pre>

<h3 id="Value">Value</h3>

<p>One of <code>"shipping"</code>, <code>"delivery"</code>, <code>"pickup"</code>, or <code>null</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentrequest-shippingtype','shippingType')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PaymentRequest.shippingType")}}</p>
</div>
